php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #59088 PHP Warning: PHP Startup: Invalid library (maybe not a PHP library) 'uploadpro
Submitted: 2010-02-26 01:59 UTC Modified: 2020-01-27 16:57 UTC
From: support at networkredux dot com Assigned: ramsey (profile)
Status: Closed Package: uploadprogress (PECL)
PHP Version: 5.2.9 OS: CentOS release 5.2
Private report: No CVE-ID: None
 [2010-02-26 01:59 UTC] support at networkredux dot com
Description:
------------
I was bale to successfully install uploadprogress pecl module using the command 

pecl install  uploadprogress

============
Build process completed successfully
Installing '/usr/lib/php/extensions/no-debug-non-zts-20060613/uploadprogress.so'
install ok: channel://pecl.php.net/uploadprogress-1.0.1                         
Extension uploadprogress enabled in php.ini  
============

But when i try to do a php -i from prompt, it creates an error_log file which as the error

============
[25-Feb-2010 22:49:49] PHP Warning:  PHP Startup: Invalid library (maybe not a PHP library) 'uploadprogress.so'  in Unknown on line 0
============

Can you help me to solve this. I tried earlier 1.0.0 version too and ended up in same error. 

I verified entries in php.ini and extension_dir folder and all looks fine.

Regards
Sujith


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-02-27 16:41 UTC] support at networkredux dot com
we're running PHP 5.2.9 as CGI,
 [2010-03-23 08:17 UTC] support at networkredux dot com
Any update on this?
 [2017-10-24 09:01 UTC] kalle@php.net
-Status: Open +Status: Suspended
 [2017-10-24 09:01 UTC] kalle@php.net
This package has not had any releases for 6 years, so I'm gonna suspend it, any new maintainer that decides to pick this up can re-open this ticket.
 [2020-01-26 01:04 UTC] ramsey@php.net
-Status: Suspended +Status: Open -Assigned To: +Assigned To: ramsey
 [2020-01-27 16:57 UTC] ramsey@php.net
-Status: Assigned +Status: Closed
 [2020-01-27 16:57 UTC] ramsey@php.net
We have new releases of the uploadprogress package that should install properly on versions of PHP from 5.2 through 8.0+. This is an old issue, so I'm closing it, but if this problem occurs again, please feel free to open a new bug report.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Jul 13 09:01:23 2020 UTC